####
##### Plotting sites of caves at Wyndcliffe
####

dframe1<- read.csv(file.choose())    # Select data to be plotted - "Windcliffe sites.CSV": 
summary(dframe1)
dframe1

library(RgoogleMaps)
citation("RgoogleMaps")

Lat <- as.vector(dframe1$Lat)  #Sets Lat as a vector
Long <- as.vector(dframe1$Long) #Sets Long as a vector
MyMap <- MapBackground(lat=Lat, lon = Long, maptype = "satellite") 
# creates a "hybrid" map from Google maps with the lat and long range from the vectors 
# doesn't show it to you but you can use the http to look at it online
PlotOnStaticMap(MyMap, Lat,Long, asp=1, cex = 2, pch = 19, col="white", bg ="white", add = F)
Site = dframe1$Site

PlotOnStaticMap(MyMap, Lat,(Long+0.0008), asp=1, labels=Site,TrueProj=TRUE,
                FUN=text,add=TRUE,col="white")

#Now to plot the 0.5Km circle for scale  
# Mean radius of the earth =6371kM
# components BBOX$ur and BBOX$ll givw lat/long of upper right and lower left of map
dist.ns<-(6371*pi/180*MyMap$BBOX$ur[,1]-MyMap$BBOX$ll[,1])
dist.ns
#conversion factor between pixels and miles
cf<-282.8126*8/5
cf
cf<-cf/2 # Circle of radius 0.5kM
theta <- seq(0,pi*2,l=100)# angles for points on a circle
#circle is of radius1 thus multiply by cf to get pixel units
circle<-cbind(sin(theta),cos(theta))*cf
backdrop(MyMap)
polygon(circle,col=rgb(1,1,1,0.1))

#### End ####